Linuxptp Linuxptpproject Linuxptp

Do you want an email whenever new security vulnerabilities are reported in Linuxptpproject Linuxptp?

By the Year

In 2022 there have been 0 vulnerabilities in Linuxptpproject Linuxptp . Last year Linuxptp had 2 security vulnerabilities published. Right now, Linuxptp is on track to have less security vulnerabilities in 2022 than it did last year.

Year Vulnerabilities Average Score
2022 0 0.00
2021 2 7.95
2020 0 0.00
2019 0 0.00
2018 0 0.00

It may take a day or so for new Linuxptp vulnerabilities to show up in the stats or in the list of recent security vulnerabilties. Additionally vulnerabilities may be tagged under a different product or component name.

Recent Linuxptpproject Linuxptp Security Vulnerabilities

A flaw was found in the ptp4l program of the linuxptp package

CVE-2021-3571 7.1 - High - July 09, 2021

A flaw was found in the ptp4l program of the linuxptp package. When ptp4l is operating on a little-endian architecture as a PTP transparent clock, a remote attacker could send a crafted one-step sync message to cause an information leak or crash. The highest threat from this vulnerability is to data confidentiality and system availability. This flaw affects linuxptp versions before 3.1.1 and before 2.0.1.

Buffer Overflow

A flaw was found in the ptp4l program of the linuxptp package

CVE-2021-3570 8.8 - High - July 09, 2021

A flaw was found in the ptp4l program of the linuxptp package. A missing length check when forwarding a PTP message between ports allows a remote attacker to cause an information leak, crash, or potentially remote code execution. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability. This flaw affects linuxptp versions before 3.1.1, before 2.0.1, before 1.9.3, before 1.8.1, before 1.7.1, before 1.6.1 and before 1.5.1.

Buffer Overflow

Stay on top of Security Vulnerabilities

Want an email whenever new vulnerabilities are published for Debian Linux or by Linuxptpproject? Click the Watch button to subscribe.

subscribe